Bug 741779 - polipo installs /var/log/polipo but does not own it
Summary: polipo installs /var/log/polipo but does not own it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: polipo
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-27 20:57 UTC by Dominick Grift
Modified: 2012-03-16 15:36 UTC (History)
1 user (show)

Fixed In Version: polipo-1.0.4.1-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-01 19:27:36 UTC


Attachments (Terms of Use)

Description Dominick Grift 2011-09-27 20:57:40 UTC
Description of problem:

polipo touches /var/log/polipo in post scriplet

postinstall scriptlet (using /bin/sh):
[ -e /var/log/polipo ] || /bin/touch /var/log/polipo
/bin/chmod -f 0640 /var/log/polipo
/bin/chown -f polipo:polipo /var/log/polipo

but does not take ownership:

# rpm -qf /var/log/polipo
file /var/log/polipo is not owned by any package

Version-Release number of selected component (if applicable):
polipo-1.0.4.1-4.fc16.x86_64

Additional info:

Can you install /var/log/polipo instead? Because the current method can cause /var/log/polipo to end up with a wrong selinux context.

Comment 1 Bernard Johnson 2011-09-27 22:36:36 UTC
Lots of packages don't claim ownership of their logs, so I don't think that's what you're really complaining about.

The scriptlet however should not create this file.

Comment 2 Dominick Grift 2011-09-28 06:22:11 UTC
True.this is about labelling for me first and foremost.

postinstall scriptlet (using /bin/sh):
[ -e /var/log/polipo ] || /bin/touch /var/log/polipo
/bin/chmod -f 0640 /var/log/polipo
/bin/chown -f polipo:polipo /var/log/polipo
/sbin/restorecon /var/log/polipo

..would probably fix that.

However i would rather see the file installed if possible.

Comment 3 Bernard Johnson 2012-01-23 01:38:16 UTC
For now, I will run restorecon... Later I will look into eliminating this code altogether.

Comment 4 Fedora Update System 2012-01-23 03:31:21 UTC
polipo-1.0.4.1-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/polipo-1.0.4.1-6.fc16

Comment 5 Fedora Update System 2012-01-23 03:32:46 UTC
polipo-1.0.4.1-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/polipo-1.0.4.1-6.fc15

Comment 6 Fedora Update System 2012-01-23 22:00:52 UTC
Package polipo-1.0.4.1-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing polipo-1.0.4.1-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0840/polipo-1.0.4.1-6.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-02-01 19:27:36 UTC
polipo-1.0.4.1-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-02-01 19:30:16 UTC
polipo-1.0.4.1-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Dominick Grift 2012-03-16 15:36:10 UTC
user polipo is not allowed to add directory entries to /var/log which is only writable by user root;

https://bugzilla.redhat.com/show_bug.cgi?id=770878#c7


Note You need to log in before you can comment on or make changes to this bug.